OttoFMS Settings
Add Offsite Remote
Request Body
application/json
POST /otto/api/settings/offsite/remotes Request body
remote_name*string
remote location name. this value will be slugified
Length
1 <= lengthendpoint*string
Length
1 <= lengthaccess_key_id?string
secret_access_key?string
region?string
bucket_name?string
Used to validate access if ListBuckets permission is not set
remote_path?string
Used to validate access if ListBuckets permission is not set
noCheckBucket?boolean
Default
trueenv_auth?boolean
Use environment variables for S3 authentication
rclone_flags?
Additional rclone configuration flags as key-value pairs. Reserved keys will be ignored.
Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/settings/offsite/remotes" \ -H "Content-Type: application/json" \ -d '{ "remote_name": "remote_name_1", "endpoint": "https://s3.us-east-1.amazonaws.com", "access_key_id": "AKIAIGMFG4BqweWD3T7Q", "secret_access_key": "ewqewd3T7Q", "region": "us-east-1", "noCheckBucket": true, "env_auth": false }'{
"response": {},
"messages": [
{
"code": 0,
"text": "ok"
}
]
}{
"response": {},
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
]
}